%define upstream_name Net_Vpopmaild
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.2
Release:     	%mkrel 2
Summary:    	Class for accessing Vpopmail's vpopmaild daemon
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_Vpopmaild-%{version}.tgz
URL: 		http://pear.php.net/package/Net_Vpopmaild
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket
Requires:	php-pear-Log
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
Supports all vpopmaild commands, such as adding/removing domains, users,
robots (autoresponders), and ezmlm lists (todo), as well as modifying
domain limits, ip maps, etc

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Vpopmaild.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Vpopmaild.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Vpopmaild
fi

%files
%defattr(-,root,root)
%doc docs/Net_Vpopmaild/*
%{peardir}/*
%{xmldir}/Net_Vpopmaild.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-2.mga3
+ Revision: 377082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 0.3.2-1.mga2
+ Revision: 199893
- upgrade to 0.3.2
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 0.3.1-5.mga1
+ Revision: 44014
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Vpopmaild

